import Vue from 'vue'
import App from './App.vue'
import axios from 'axios'
import router from './router'
import 'font-awesome/css/font-awesome.min.css'

/*//模块化按需引入
import '../plugins/element.js'*/

//全局引入

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

Vue.use(ElementUI)


Vue.prototype.axios = axios //  挂载到原型，可以在全局使用
Vue.config.productionTip = false

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
