import Vue from 'vue'
import Router from 'vue-router'
// import Home from '../components/Home.vue'

Vue.use(Router)
export default new Router({
    routes: [
        {
            path: '/',
            redirect: '/login',
            component: () => import('@/components/Login.vue')
        },
        {
            path: '/login',
            name: 'Login',
            component: () => import('@/components/Login.vue')  // 异步引入
        },
        {
            path: '/home',
            //component: Home
            //component: () => import('@/components/Home')    //ES 中的 import引入
            component: resolve => require(['@/components/Home'], resolve)  // 异步引入
        }
    ],
    mode: 'history'
})